import type { NobjcObject } from "objc-js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _PKAddPassMetadataPreview extends _NSObject {
    static alloc(): _PKAddPassMetadataPreview;
    static new(): _PKAddPassMetadataPreview;
    init(): _PKAddPassMetadataPreview;
    static previewWithPassThumbnail$localizedDescription$(passThumbnail: Uint8Array, description: _NSString): _PKAddPassMetadataPreview;
    /**
     * Initializer preview object to represent the pass being added to Wallet.which requires a CGImage of the pass's card art and a localized description. - Properties: - passThumbnail: CGImage representing the card artwork of the pass to be presented during provisioning. - localizedDescription: Localized description of the pass.
     */
    initWithPassThumbnail$localizedDescription$(passThumbnail: Uint8Array, description: _NSString): _PKAddPassMetadataPreview;
    /** CGImage representing the pass in our provisioning UI. */
    passThumbnailImage(): NobjcObject;
    /** Localized description of the pass to be referenced during provisioning. */
    localizedDescription(): _NSString | null;
}
